<template>
  <div class="col-12">
        <h2>Gestion des Fournisseurs</h2>
        <br>
    <router-link :to="{path:'new'}" append>
      <button class="btn btn-info float-right but">Nouveau Fournisseur</button>
  
    </router-link>
    <table class="table table-hover">
      <thead>
        <tr>
          <th>Nom</th>
          <th>Telephone</th>
          <th>Email</th>
          <th>Société</th>
          <th>Actions</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="provider in providers">
          <td>{{provider.name}}</td>
          <td>{{provider.phone}}</td>
          <td>{{provider.email}}</td>
          <td>{{provider.company}}</td>
          <td>
            <router-link :to="{ path:provider._id+ '/edit'}" append>
              <button class="btn btn-info">Modifier</button>
            </router-link>
          </td>
        </tr>
      </tbody>
    </table>
  
  </div>
</template>

<script>
export default {

  computed: {
    providers() {
      return this.$store.getters.getAllProviders
    }
  },

  created: function () {
    this.$store.dispatch("setAllProviders");
  }

}
</script>

<style scoped>
.but {
  margin-bottom: 50px;
}
</style>
